import { Component } from 'react';
import type { FormMessage } from '@instructure/ui-form-field';
import type { FileDropProps, FileDropState, FileDropStyleProps } from './props';
/**
---
category: components
---
**/
declare class FileDrop extends Component<FileDropProps, FileDropState> {
    static readonly componentId = "FileDrop";
    static propTypes: import("@instructure/shared-types").PropValidators<keyof {
        id?: string;
        renderLabel: import("@instructure/shared-types").Renderable<{
            isDragAccepted: boolean;
            isDragRejected: boolean;
            interaction: "enabled" | "disabled" | "readonly" | undefined;
        }>;
        accept?: string | string[];
        messages?: FormMessage[];
        onClick?: (e: React.MouseEvent) => void;
        onDrop?: (accepted: ArrayLike<DataTransferItem | File>, rejected: ArrayLike<DataTransferItem | File>, e: React.DragEvent) => void;
        onDropAccepted?: (accepted: ArrayLike<DataTransferItem | File>, e: React.DragEvent | React.ChangeEvent) => void;
        onDropRejected?: (rejected: ArrayLike<DataTransferItem | File>, e: React.DragEvent | React.ChangeEvent) => void;
        onDragEnter?: (e: React.DragEvent) => void;
        onDragOver?: (e: React.DragEvent) => void;
        onDragLeave?: (e: React.DragEvent) => void;
        shouldEnablePreview?: boolean;
        shouldAllowMultiple?: boolean;
        shouldAllowRepeats?: boolean;
        maxSize?: number;
        minSize?: number;
        interaction?: "enabled" | "disabled" | "readonly";
        display?: "block" | "inline-block";
        height?: string | number;
        width?: string | number;
        maxWidth?: string | number;
        minWidth?: string | number;
        margin?: import("@instructure/emotion").Spacing;
        inputRef?: (inputElement: HTMLInputElement | null) => void;
    }>;
    static allowedProps: readonly (keyof {
        id?: string;
        renderLabel: import("@instructure/shared-types").Renderable<{
            isDragAccepted: boolean;
            isDragRejected: boolean;
            interaction: "enabled" | "disabled" | "readonly" | undefined;
        }>;
        accept?: string | string[];
        messages?: FormMessage[];
        onClick?: (e: React.MouseEvent) => void;
        onDrop?: (accepted: ArrayLike<DataTransferItem | File>, rejected: ArrayLike<DataTransferItem | File>, e: React.DragEvent) => void;
        onDropAccepted?: (accepted: ArrayLike<DataTransferItem | File>, e: React.DragEvent | React.ChangeEvent) => void;
        onDropRejected?: (rejected: ArrayLike<DataTransferItem | File>, e: React.DragEvent | React.ChangeEvent) => void;
        onDragEnter?: (e: React.DragEvent) => void;
        onDragOver?: (e: React.DragEvent) => void;
        onDragLeave?: (e: React.DragEvent) => void;
        shouldEnablePreview?: boolean;
        shouldAllowMultiple?: boolean;
        shouldAllowRepeats?: boolean;
        maxSize?: number;
        minSize?: number;
        interaction?: "enabled" | "disabled" | "readonly";
        display?: "block" | "inline-block";
        height?: string | number;
        width?: string | number;
        maxWidth?: string | number;
        minWidth?: string | number;
        margin?: import("@instructure/emotion").Spacing;
        inputRef?: (inputElement: HTMLInputElement | null) => void;
    })[];
    static defaultProps: {
        onClick: (_e: React.MouseEvent) => void;
        shouldEnablePreview: boolean;
        shouldAllowMultiple: boolean;
        shouldAllowRepeats: boolean;
        maxSize: number;
        minSize: number;
        messages: never[];
        display: string;
    };
    constructor(props: FileDropProps);
    componentDidMount(): void;
    componentDidUpdate(): void;
    convertToFile(fileLikeItem: DataTransferItem | File): File | null;
    makeStyleProps: () => FileDropStyleProps;
    state: FileDropState;
    enterCounter: number;
    fileInputEl?: HTMLInputElement;
    defaultId: string | null;
    messagesId: string;
    ref: Element | null;
    handleElementRef: (el: Element | null) => void;
    get functionallyDisabled(): boolean;
    get interaction(): import("@instructure/ui-react-utils").InteractionType;
    get hasMessages(): boolean;
    get invalid(): boolean;
    getDataTransferItems(e: React.ChangeEvent | React.DragEvent, shouldEnablePreview?: boolean): Array<File>;
    handleDragEnter: (e: React.DragEvent) => void;
    handleDragOver: (e: React.DragEvent) => boolean;
    handleDragLeave: (e: React.DragEvent) => void;
    parseFiles(fileList: Array<DataTransferItem | File>): (File | DataTransferItem)[][];
    handleChange: (e: React.ChangeEvent | React.DragEvent) => void;
    fileAccepted: (file: File) => boolean;
    fileMatchSize(file: File): boolean;
    allFilesAccepted(files: Array<File>): boolean;
    acceptStr(): string | undefined;
    renderLabel(): any;
    handleRef: (el: HTMLInputElement) => void;
    handleBlur: () => void;
    handleFocus: () => void;
    handleClick: (e: React.MouseEvent) => void;
    handleKeyDown: (e: React.KeyboardEvent) => void;
    handleKeyUp: (e: React.KeyboardEvent) => void;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default FileDrop;
export { FileDrop };
//# sourceMappingURL=index.d.ts.map