import type { FileDropTheme } from '@instructure/shared-types';
import type { FileDropProps, FileDropStyleProps, FileDropStyle } from './props';
/**
 * ---
 * private: true
 * ---
 * Generates the style object from the theme and provided additional information
 * @param  {Object} componentTheme The theme variable object.
 * @param  {Object} props the props of the component, the style is applied to
 * @param  {Object} state the state of the component, the style is applied to
 * @return {Object} The final style object, which will be used in the component
 */
declare const generateStyle: (componentTheme: FileDropTheme, props: FileDropProps, state: FileDropStyleProps) => FileDropStyle;
export default generateStyle;
//# sourceMappingURL=styles.d.ts.map